org.eclipse.emf.cdo.transaction

## Interface CDOTransactionOpener

- All Known Subinterfaces:
    CDONet4jSession, CDORepository, CDOSession, CDOSession, CDOTransactionContainer, InternalCDOSession
  All Known Implementing Classes:
    CDOCompareEditorUtil.TransactionOpenerAndEditorCloser

      public interface CDOTransactionOpener

  Can open new `transactions`.
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOTransaction` | `openTransaction(CDOBranchPoint target, ResourceSet resourceSet)` Opens and returns a new `transaction` on the given EMF `resource set`.
    `CDOTransaction` | `openTransaction(java.lang.String durableLockingID, ResourceSet resourceSet)` Opens and returns a `transaction` on the given EMF `resource set` by resuming a transaction that has previously been made durable by calling `CDOTransaction.enableDurableLocking(true)`.

- - ### Method Detail

    - #### openTransaction

          CDOTransaction openTransaction(CDOBranchPoint target,
                                         ResourceSet resourceSet)

      Opens and returns a new `transaction` on the given EMF `resource set`.

    - #### openTransaction

          CDOTransaction openTransaction(java.lang.String durableLockingID,
                                         ResourceSet resourceSet)

      Opens and returns a `transaction` on the given EMF `resource set` by resuming a transaction that has previously been made durable by calling `CDOTransaction.enableDurableLocking(true)`.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html